// SPDX-FileCopyrightText: Copyright 2024 shadPS4 Emulator Project
// SPDX-License-Identifier: GPL-2.0-or-later

#pragma once

#include "library_common.h" 

namespace Libraries::Kernel{

int PS4_SYSV_ABI __elf_phdr_match_addr();
int PS4_SYSV_ABI __error();
int PS4_SYSV_ABI __freeze();
int PS4_SYSV_ABI __inet_ntop();
int PS4_SYSV_ABI __inet_pton();
int PS4_SYSV_ABI __progname();
int PS4_SYSV_ABI __pthread_cleanup_pop_imp();
int PS4_SYSV_ABI __pthread_cleanup_push_imp();
int PS4_SYSV_ABI __pthread_cxa_finalize();
int PS4_SYSV_ABI __sceKernelGetGPI();
int PS4_SYSV_ABI __stack_chk_fail();
int PS4_SYSV_ABI __stack_chk_guard();
int PS4_SYSV_ABI __sys_debug_init();
int PS4_SYSV_ABI __sys_dl_get_info();
int PS4_SYSV_ABI __sys_dl_get_list();
int PS4_SYSV_ABI __sys_dl_get_metadata();
int PS4_SYSV_ABI __sys_dynlib_get_info_for_libdbg();
int PS4_SYSV_ABI __sys_dynlib_get_info2();
int PS4_SYSV_ABI __sys_dynlib_get_list_for_libdbg();
int PS4_SYSV_ABI __sys_dynlib_get_list2();
int PS4_SYSV_ABI __sys_dynlib_load_prx();
int PS4_SYSV_ABI __sys_get_proc_type_info();
int PS4_SYSV_ABI __sys_is_development_mode();
int PS4_SYSV_ABI __sys_kqueueex();
int PS4_SYSV_ABI __sys_namedobj_create();
int PS4_SYSV_ABI __sys_namedobj_delete();
int PS4_SYSV_ABI __sys_netabort();
int PS4_SYSV_ABI __sys_netcontrol();
int PS4_SYSV_ABI __sys_netgetiflist();
int PS4_SYSV_ABI __sys_netgetsockinfo();
int PS4_SYSV_ABI __sys_opmc_disable();
int PS4_SYSV_ABI __sys_opmc_enable();
int PS4_SYSV_ABI __sys_opmc_get_ctr();
int PS4_SYSV_ABI __sys_opmc_get_hw();
int PS4_SYSV_ABI __sys_opmc_set_ctl();
int PS4_SYSV_ABI __sys_opmc_set_ctr();
int PS4_SYSV_ABI __sys_opmc_set_hw();
int PS4_SYSV_ABI __sys_osem_close();
int PS4_SYSV_ABI __sys_osem_open();
int PS4_SYSV_ABI __sys_randomized_path();
int PS4_SYSV_ABI __sys_rdup();
int PS4_SYSV_ABI __sys_regmgr_call();
int PS4_SYSV_ABI __sys_set_uevt();
int PS4_SYSV_ABI __sys_socketclose();
int PS4_SYSV_ABI __sys_socketex();
int PS4_SYSV_ABI __sys_test_debug_rwmem();
int PS4_SYSV_ABI __sys_workaround8849();
int PS4_SYSV_ABI __tls_get_addr();
int PS4_SYSV_ABI __Ux86_64_setcontext();
int PS4_SYSV_ABI _accept();
int PS4_SYSV_ABI _bind();
int PS4_SYSV_ABI _close();
int PS4_SYSV_ABI _connect();
int PS4_SYSV_ABI _dup2();
int PS4_SYSV_ABI _execve();
int PS4_SYSV_ABI _execvpe();
int PS4_SYSV_ABI _exit();
int PS4_SYSV_ABI _fcntl();
int PS4_SYSV_ABI _fpathconf();
int PS4_SYSV_ABI _fstat();
int PS4_SYSV_ABI _fstatfs();
int PS4_SYSV_ABI _getdirentries();
int PS4_SYSV_ABI _getpeername();
int PS4_SYSV_ABI _getsockname();
int PS4_SYSV_ABI _getsockopt();
int PS4_SYSV_ABI _ioctl();
int PS4_SYSV_ABI _is_signal_return();
int PS4_SYSV_ABI _listen();
int PS4_SYSV_ABI _nanosleep();
int PS4_SYSV_ABI _open();
int PS4_SYSV_ABI _openat();
int PS4_SYSV_ABI _read();
int PS4_SYSV_ABI _readv();
int PS4_SYSV_ABI _recvfrom();
int PS4_SYSV_ABI _recvmsg();
int PS4_SYSV_ABI _sceKernelRtldSetApplicationHeapAPI();
int PS4_SYSV_ABI _sceKernelRtldThreadAtexitDecrement();
int PS4_SYSV_ABI _sceKernelRtldThreadAtexitIncrement();
int PS4_SYSV_ABI _sceKernelSetThreadAtexitCount();
int PS4_SYSV_ABI _sceKernelSetThreadAtexitReport();
int PS4_SYSV_ABI _sceKernelSetThreadDtors();
int PS4_SYSV_ABI _sendmsg();
int PS4_SYSV_ABI _sendto();
int PS4_SYSV_ABI _setsockopt();
int PS4_SYSV_ABI _sigaction();
int PS4_SYSV_ABI _sigintr();
int PS4_SYSV_ABI _sigprocmask();
int PS4_SYSV_ABI _sigsuspend();
int PS4_SYSV_ABI _umtx_op();
int PS4_SYSV_ABI _wait4();
int PS4_SYSV_ABI _write();
int PS4_SYSV_ABI _writev();
int PS4_SYSV_ABI accept();
int PS4_SYSV_ABI access();
int PS4_SYSV_ABI amd64_set_fsbase();
int PS4_SYSV_ABI bind();
int PS4_SYSV_ABI blockpool_batch();
int PS4_SYSV_ABI blockpool_map();
int PS4_SYSV_ABI blockpool_open();
int PS4_SYSV_ABI blockpool_unmap();
int PS4_SYSV_ABI chdir();
int PS4_SYSV_ABI chflags();
int PS4_SYSV_ABI chmod();
int PS4_SYSV_ABI clock_getres();
int PS4_SYSV_ABI clock_gettime();
int PS4_SYSV_ABI clock_settime();
int PS4_SYSV_ABI close();
int PS4_SYSV_ABI connect();
int PS4_SYSV_ABI cpuset_getaffinity();
int PS4_SYSV_ABI cpuset_getid();
int PS4_SYSV_ABI cpuset_setaffinity();
int PS4_SYSV_ABI creat();
int PS4_SYSV_ABI dlclose();
int PS4_SYSV_ABI dlerror();
int PS4_SYSV_ABI dlopen();
int PS4_SYSV_ABI dlsym();
int PS4_SYSV_ABI dup();
int PS4_SYSV_ABI dup2();
int PS4_SYSV_ABI dynlib_get_obj_member();
int PS4_SYSV_ABI environ();
int PS4_SYSV_ABI errno();
int PS4_SYSV_ABI execv();
int PS4_SYSV_ABI execve();
int PS4_SYSV_ABI execvp();
int PS4_SYSV_ABI fchflags();
int PS4_SYSV_ABI fchmod();
int PS4_SYSV_ABI fcntl();
int PS4_SYSV_ABI fdatasync();
int PS4_SYSV_ABI flock();
int PS4_SYSV_ABI fstat();
int PS4_SYSV_ABI fsync();
int PS4_SYSV_ABI ftruncate();
int PS4_SYSV_ABI futimes();
int PS4_SYSV_ABI get_authinfo();
int PS4_SYSV_ABI get_module_info_list();
int PS4_SYSV_ABI get_page_table_stats();
int PS4_SYSV_ABI get_sdk_compiled_version();
int PS4_SYSV_ABI get_self_auth_info();
int PS4_SYSV_ABI get_vm_map_timestamp();
int PS4_SYSV_ABI getargc();
int PS4_SYSV_ABI getargv();
int PS4_SYSV_ABI getcontext();
int PS4_SYSV_ABI getdents();
int PS4_SYSV_ABI getdirentries();
int PS4_SYSV_ABI getdtablesize();
int PS4_SYSV_ABI getegid();
int PS4_SYSV_ABI geteuid();
int PS4_SYSV_ABI getgid();
int PS4_SYSV_ABI getgroups();
int PS4_SYSV_ABI getitimer();
int PS4_SYSV_ABI getlogin();
int PS4_SYSV_ABI getlogin_r();
int PS4_SYSV_ABI getpagesize();
int PS4_SYSV_ABI getpeername();
int PS4_SYSV_ABI getpid();
int PS4_SYSV_ABI getppid();
int PS4_SYSV_ABI getpriority();
int PS4_SYSV_ABI getrlimit();
int PS4_SYSV_ABI getrusage();
int PS4_SYSV_ABI getsid();
int PS4_SYSV_ABI getsockname();
int PS4_SYSV_ABI getsockopt();
int PS4_SYSV_ABI gettimeofday();
int PS4_SYSV_ABI getuid();
int PS4_SYSV_ABI htonl();
int PS4_SYSV_ABI htons();
int PS4_SYSV_ABI inet_ntop();
int PS4_SYSV_ABI inet_pton();
int PS4_SYSV_ABI ioctl();
int PS4_SYSV_ABI ipmimgr_call();
int PS4_SYSV_ABI is_in_sandbox();
int PS4_SYSV_ABI issetugid();
int PS4_SYSV_ABI kevent();
int PS4_SYSV_ABI kill();
int PS4_SYSV_ABI kqueue();
int PS4_SYSV_ABI ksem_close();
int PS4_SYSV_ABI ksem_destroy();
int PS4_SYSV_ABI ksem_getvalue();
int PS4_SYSV_ABI ksem_init();
int PS4_SYSV_ABI ksem_open();
int PS4_SYSV_ABI ksem_post();
int PS4_SYSV_ABI ksem_timedwait();
int PS4_SYSV_ABI ksem_trywait();
int PS4_SYSV_ABI ksem_unlink();
int PS4_SYSV_ABI ksem_wait();
int PS4_SYSV_ABI ktimer_create();
int PS4_SYSV_ABI ktimer_delete();
int PS4_SYSV_ABI ktimer_getoverrun();
int PS4_SYSV_ABI ktimer_gettime();
int PS4_SYSV_ABI ktimer_settime();
int PS4_SYSV_ABI listen();
int PS4_SYSV_ABI lseek();
int PS4_SYSV_ABI lstat();
int PS4_SYSV_ABI madvise();
int PS4_SYSV_ABI mdbg_service();
int PS4_SYSV_ABI mincore();
int PS4_SYSV_ABI mkdir();
int PS4_SYSV_ABI mlock();
int PS4_SYSV_ABI mlockall();
int PS4_SYSV_ABI mmap();
int PS4_SYSV_ABI mprotect();
int PS4_SYSV_ABI msync();
int PS4_SYSV_ABI munlock();
int PS4_SYSV_ABI munlockall();
int PS4_SYSV_ABI munmap();
int PS4_SYSV_ABI nanosleep();
int PS4_SYSV_ABI ntohl();
int PS4_SYSV_ABI ntohs();
int PS4_SYSV_ABI open();
int PS4_SYSV_ABI pause();
int PS4_SYSV_ABI physhm_open();
int PS4_SYSV_ABI physhm_unlink();
int PS4_SYSV_ABI pipe();
int PS4_SYSV_ABI poll();
int PS4_SYSV_ABI pread();
int PS4_SYSV_ABI preadv();
int PS4_SYSV_ABI profil();
int PS4_SYSV_ABI pselect();
int PS4_SYSV_ABI pthread_atfork();
int PS4_SYSV_ABI pthread_attr_destroy();
int PS4_SYSV_ABI pthread_attr_get_np();
int PS4_SYSV_ABI pthread_attr_getaffinity_np();
int PS4_SYSV_ABI pthread_attr_getdetachstate();
int PS4_SYSV_ABI pthread_attr_getguardsize();
int PS4_SYSV_ABI pthread_attr_getinheritsched();
int PS4_SYSV_ABI pthread_attr_getschedparam();
int PS4_SYSV_ABI pthread_attr_getschedpolicy();
int PS4_SYSV_ABI pthread_attr_getscope();
int PS4_SYSV_ABI pthread_attr_getstack();
int PS4_SYSV_ABI pthread_attr_getstackaddr();
int PS4_SYSV_ABI pthread_attr_getstacksize();
int PS4_SYSV_ABI pthread_attr_init();
int PS4_SYSV_ABI pthread_attr_setaffinity_np();
int PS4_SYSV_ABI pthread_attr_setcreatesuspend_np();
int PS4_SYSV_ABI pthread_attr_setdetachstate();
int PS4_SYSV_ABI pthread_attr_setguardsize();
int PS4_SYSV_ABI pthread_attr_setinheritsched();
int PS4_SYSV_ABI pthread_attr_setschedparam();
int PS4_SYSV_ABI pthread_attr_setschedpolicy();
int PS4_SYSV_ABI pthread_attr_setscope();
int PS4_SYSV_ABI pthread_attr_setstack();
int PS4_SYSV_ABI pthread_attr_setstackaddr();
int PS4_SYSV_ABI pthread_attr_setstacksize();
int PS4_SYSV_ABI pthread_barrier_destroy();
int PS4_SYSV_ABI pthread_barrier_init();
int PS4_SYSV_ABI pthread_barrier_setname_np();
int PS4_SYSV_ABI pthread_barrier_wait();
int PS4_SYSV_ABI pthread_barrierattr_destroy();
int PS4_SYSV_ABI pthread_barrierattr_getpshared();
int PS4_SYSV_ABI pthread_barrierattr_init();
int PS4_SYSV_ABI pthread_barrierattr_setpshared();
int PS4_SYSV_ABI pthread_cancel();
int PS4_SYSV_ABI pthread_cleanup_pop();
int PS4_SYSV_ABI pthread_cleanup_push();
int PS4_SYSV_ABI pthread_cond_broadcast();
int PS4_SYSV_ABI pthread_cond_destroy();
int PS4_SYSV_ABI pthread_cond_init();
int PS4_SYSV_ABI pthread_cond_reltimedwait_np();
int PS4_SYSV_ABI pthread_cond_setname_np();
int PS4_SYSV_ABI pthread_cond_signal();
int PS4_SYSV_ABI pthread_cond_signalto_np();
int PS4_SYSV_ABI pthread_cond_timedwait();
int PS4_SYSV_ABI pthread_cond_wait();
int PS4_SYSV_ABI pthread_condattr_destroy();
int PS4_SYSV_ABI pthread_condattr_getclock();
int PS4_SYSV_ABI pthread_condattr_getpshared();
int PS4_SYSV_ABI pthread_condattr_init();
int PS4_SYSV_ABI pthread_condattr_setclock();
int PS4_SYSV_ABI pthread_condattr_setpshared();
int PS4_SYSV_ABI pthread_create();
int PS4_SYSV_ABI pthread_create_name_np();
int PS4_SYSV_ABI pthread_detach();
int PS4_SYSV_ABI pthread_equal();
int PS4_SYSV_ABI pthread_exit();
int PS4_SYSV_ABI pthread_get_specificarray_np();
int PS4_SYSV_ABI pthread_get_user_context_np();
int PS4_SYSV_ABI pthread_getaffinity_np();
int PS4_SYSV_ABI pthread_getconcurrency();
int PS4_SYSV_ABI pthread_getcpuclockid();
int PS4_SYSV_ABI pthread_getname_np();
int PS4_SYSV_ABI pthread_getprio();
int PS4_SYSV_ABI pthread_getschedparam();
int PS4_SYSV_ABI pthread_getspecific();
int PS4_SYSV_ABI pthread_getstack_np();
int PS4_SYSV_ABI pthread_getthreadid_np();
int PS4_SYSV_ABI pthread_join();
int PS4_SYSV_ABI pthread_key_create();
int PS4_SYSV_ABI pthread_key_delete();
int PS4_SYSV_ABI pthread_kill();
int PS4_SYSV_ABI pthread_main_np();
int PS4_SYSV_ABI pthread_multi_np();
int PS4_SYSV_ABI pthread_mutex_destroy();
int PS4_SYSV_ABI pthread_mutex_getprioceiling();
int PS4_SYSV_ABI pthread_mutex_getspinloops_np();
int PS4_SYSV_ABI pthread_mutex_getyieldloops_np();
int PS4_SYSV_ABI pthread_mutex_init();
int PS4_SYSV_ABI pthread_mutex_init_for_mono();
int PS4_SYSV_ABI pthread_mutex_isowned_np();
int PS4_SYSV_ABI pthread_mutex_lock();
int PS4_SYSV_ABI pthread_mutex_reltimedlock_np();
int PS4_SYSV_ABI pthread_mutex_setname_np();
int PS4_SYSV_ABI pthread_mutex_setprioceiling();
int PS4_SYSV_ABI pthread_mutex_setspinloops_np();
int PS4_SYSV_ABI pthread_mutex_setyieldloops_np();
int PS4_SYSV_ABI pthread_mutex_timedlock();
int PS4_SYSV_ABI pthread_mutex_trylock();
int PS4_SYSV_ABI pthread_mutex_unlock();
int PS4_SYSV_ABI pthread_mutexattr_destroy();
int PS4_SYSV_ABI pthread_mutexattr_getkind_np();
int PS4_SYSV_ABI pthread_mutexattr_getprioceiling();
int PS4_SYSV_ABI pthread_mutexattr_getprotocol();
int PS4_SYSV_ABI pthread_mutexattr_getpshared();
int PS4_SYSV_ABI pthread_mutexattr_gettype();
int PS4_SYSV_ABI pthread_mutexattr_init();
int PS4_SYSV_ABI pthread_mutexattr_setkind_np();
int PS4_SYSV_ABI pthread_mutexattr_setprioceiling();
int PS4_SYSV_ABI pthread_mutexattr_setprotocol();
int PS4_SYSV_ABI pthread_mutexattr_setpshared();
int PS4_SYSV_ABI pthread_mutexattr_settype();
int PS4_SYSV_ABI pthread_once();
int PS4_SYSV_ABI pthread_rename_np();
int PS4_SYSV_ABI pthread_resume_all_np();
int PS4_SYSV_ABI pthread_resume_np();
int PS4_SYSV_ABI pthread_resume_user_context_np();
int PS4_SYSV_ABI pthread_rwlock_destroy();
int PS4_SYSV_ABI pthread_rwlock_init();
int PS4_SYSV_ABI pthread_rwlock_rdlock();
int PS4_SYSV_ABI pthread_rwlock_reltimedrdlock_np();
int PS4_SYSV_ABI pthread_rwlock_reltimedwrlock_np();
int PS4_SYSV_ABI pthread_rwlock_setname_np();
int PS4_SYSV_ABI pthread_rwlock_timedrdlock();
int PS4_SYSV_ABI pthread_rwlock_timedwrlock();
int PS4_SYSV_ABI pthread_rwlock_tryrdlock();
int PS4_SYSV_ABI pthread_rwlock_trywrlock();
int PS4_SYSV_ABI pthread_rwlock_unlock();
int PS4_SYSV_ABI pthread_rwlock_wrlock();
int PS4_SYSV_ABI pthread_rwlockattr_destroy();
int PS4_SYSV_ABI pthread_rwlockattr_getpshared();
int PS4_SYSV_ABI pthread_rwlockattr_gettype_np();
int PS4_SYSV_ABI pthread_rwlockattr_init();
int PS4_SYSV_ABI pthread_rwlockattr_setpshared();
int PS4_SYSV_ABI pthread_rwlockattr_settype_np();
int PS4_SYSV_ABI pthread_self();
int PS4_SYSV_ABI pthread_set_defaultstacksize_np();
int PS4_SYSV_ABI pthread_set_name_np();
int PS4_SYSV_ABI pthread_set_user_context_np();
int PS4_SYSV_ABI pthread_setaffinity_np();
int PS4_SYSV_ABI pthread_setcancelstate();
int PS4_SYSV_ABI pthread_setcanceltype();
int PS4_SYSV_ABI pthread_setconcurrency();
int PS4_SYSV_ABI pthread_setprio();
int PS4_SYSV_ABI pthread_setschedparam();
int PS4_SYSV_ABI pthread_setspecific();
int PS4_SYSV_ABI pthread_sigmask();
int PS4_SYSV_ABI pthread_single_np();
int PS4_SYSV_ABI pthread_spin_destroy();
int PS4_SYSV_ABI pthread_spin_init();
int PS4_SYSV_ABI pthread_spin_lock();
int PS4_SYSV_ABI pthread_spin_trylock();
int PS4_SYSV_ABI pthread_spin_unlock();
int PS4_SYSV_ABI pthread_suspend_all_np();
int PS4_SYSV_ABI pthread_suspend_np();
int PS4_SYSV_ABI pthread_suspend_user_context_np();
int PS4_SYSV_ABI pthread_switch_add_np();
int PS4_SYSV_ABI pthread_switch_delete_np();
int PS4_SYSV_ABI pthread_testcancel();
int PS4_SYSV_ABI pthread_timedjoin_np();
int PS4_SYSV_ABI pthread_yield();
int PS4_SYSV_ABI pwrite();
int PS4_SYSV_ABI pwritev();
int PS4_SYSV_ABI raise();
int PS4_SYSV_ABI read();
int PS4_SYSV_ABI readv();
int PS4_SYSV_ABI recv();
int PS4_SYSV_ABI recvfrom();
int PS4_SYSV_ABI recvmsg();
int PS4_SYSV_ABI rename();
int PS4_SYSV_ABI rfork_thread();
int PS4_SYSV_ABI rmdir();
int PS4_SYSV_ABI rtld_printf();
int PS4_SYSV_ABI rtprio_thread();
int PS4_SYSV_ABI sceKernelAddCpumodeEvent();
int PS4_SYSV_ABI sceKernelAddFileEvent();
int PS4_SYSV_ABI sceKernelAddGpuExceptionEvent();
int PS4_SYSV_ABI sceKernelAddHRTimerEvent();
int PS4_SYSV_ABI sceKernelAddReadEvent();
int PS4_SYSV_ABI sceKernelAddTimerEvent();
int PS4_SYSV_ABI sceKernelAddUserEvent();
int PS4_SYSV_ABI sceKernelAddUserEventEdge();
int PS4_SYSV_ABI sceKernelAddWriteEvent();
int PS4_SYSV_ABI sceKernelAioCancelRequest();
int PS4_SYSV_ABI sceKernelAioCancelRequests();
int PS4_SYSV_ABI sceKernelAioDeleteRequest();
int PS4_SYSV_ABI sceKernelAioDeleteRequests();
int PS4_SYSV_ABI sceKernelAioInitializeImpl();
int PS4_SYSV_ABI sceKernelAioInitializeParam();
int PS4_SYSV_ABI sceKernelAioPollRequest();
int PS4_SYSV_ABI sceKernelAioPollRequests();
int PS4_SYSV_ABI sceKernelAioSetParam();
int PS4_SYSV_ABI sceKernelAioSubmitReadCommands();
int PS4_SYSV_ABI sceKernelAioSubmitReadCommandsMultiple();
int PS4_SYSV_ABI sceKernelAioSubmitWriteCommands();
int PS4_SYSV_ABI sceKernelAioSubmitWriteCommandsMultiple();
int PS4_SYSV_ABI sceKernelAioWaitRequest();
int PS4_SYSV_ABI sceKernelAioWaitRequests();
int PS4_SYSV_ABI sceKernelAllocateDirectMemory();
int PS4_SYSV_ABI sceKernelAllocateDirectMemoryForMiniApp();
int PS4_SYSV_ABI sceKernelAllocateMainDirectMemory();
int PS4_SYSV_ABI sceKernelAllocateTraceDirectMemory();
int PS4_SYSV_ABI sceKernelAvailableDirectMemorySize();
int PS4_SYSV_ABI sceKernelAvailableFlexibleMemorySize();
int PS4_SYSV_ABI sceKernelBacktraceSelf();
int PS4_SYSV_ABI sceKernelBatchMap();
int PS4_SYSV_ABI sceKernelBatchMap2();
int PS4_SYSV_ABI sceKernelCancelEventFlag();
int PS4_SYSV_ABI sceKernelCancelSema();
int PS4_SYSV_ABI sceKernelCheckedReleaseDirectMemory();
int PS4_SYSV_ABI sceKernelCheckReachability();
int PS4_SYSV_ABI sceKernelChmod();
int PS4_SYSV_ABI sceKernelClearBootReqNotifyCount();
int PS4_SYSV_ABI sceKernelClearEventFlag();
int PS4_SYSV_ABI sceKernelClearGameDirectMemory();
int PS4_SYSV_ABI sceKernelClockGetres();
int PS4_SYSV_ABI sceKernelClockGettime();
int PS4_SYSV_ABI sceKernelClose();
int PS4_SYSV_ABI sceKernelCloseEport();
int PS4_SYSV_ABI sceKernelCloseEventFlag();
int PS4_SYSV_ABI sceKernelCloseSema();
int PS4_SYSV_ABI sceKernelConfiguredFlexibleMemorySize();
int PS4_SYSV_ABI sceKernelConvertLocaltimeToUtc();
int PS4_SYSV_ABI sceKernelConvertUtcToLocaltime();
int PS4_SYSV_ABI sceKernelCreateEport();
int PS4_SYSV_ABI sceKernelCreateEqueue();
int PS4_SYSV_ABI sceKernelCreateEventFlag();
int PS4_SYSV_ABI sceKernelCreateSema();
int PS4_SYSV_ABI sceKernelDebugAcquireAndUpdateDebugRegister();
int PS4_SYSV_ABI sceKernelDebugGetAppStatus();
int PS4_SYSV_ABI sceKernelDebugGetPauseCount();
int PS4_SYSV_ABI sceKernelDebugGpuPaDebugIsInProgress();
int PS4_SYSV_ABI sceKernelDebugOutText();
int PS4_SYSV_ABI sceKernelDebugRaiseException();
int PS4_SYSV_ABI sceKernelDebugRaiseExceptionOnReleaseMode();
int PS4_SYSV_ABI sceKernelDebugRaiseExceptionWithContext();
int PS4_SYSV_ABI sceKernelDebugRaiseExceptionWithInfo();
int PS4_SYSV_ABI sceKernelDebugReleaseDebugContext();
int PS4_SYSV_ABI sceKernelDeleteCpumodeEvent();
int PS4_SYSV_ABI sceKernelDeleteEport();
int PS4_SYSV_ABI sceKernelDeleteEqueue();
int PS4_SYSV_ABI sceKernelDeleteEventFlag();
int PS4_SYSV_ABI sceKernelDeleteFileEvent();
int PS4_SYSV_ABI sceKernelDeleteGpuExceptionEvent();
int PS4_SYSV_ABI sceKernelDeleteHRTimerEvent();
int PS4_SYSV_ABI sceKernelDeleteReadEvent();
int PS4_SYSV_ABI sceKernelDeleteSema();
int PS4_SYSV_ABI sceKernelDeleteTimerEvent();
int PS4_SYSV_ABI sceKernelDeleteUserEvent();
int PS4_SYSV_ABI sceKernelDeleteWriteEvent();
int PS4_SYSV_ABI sceKernelDirectMemoryQuery();
int PS4_SYSV_ABI sceKernelDirectMemoryQueryForId();
int PS4_SYSV_ABI sceKernelDlsym();
int PS4_SYSV_ABI sceKernelEnableDmemAliasing();
int PS4_SYSV_ABI sceKernelEnableDmemAliasing2();
int PS4_SYSV_ABI sceKernelEnablePthreadObjectCheck();
int PS4_SYSV_ABI sceKernelError();
int PS4_SYSV_ABI sceKernelEventLogInit();
int PS4_SYSV_ABI sceKernelEventLogPread();
int PS4_SYSV_ABI sceKernelEventLogRead();
int PS4_SYSV_ABI sceKernelEventLogWrite();
int PS4_SYSV_ABI sceKernelFchmod();
int PS4_SYSV_ABI sceKernelFcntl();
int PS4_SYSV_ABI sceKernelFdatasync();
int PS4_SYSV_ABI sceKernelFlock();
int PS4_SYSV_ABI sceKernelFstat();
int PS4_SYSV_ABI sceKernelFsync();
int PS4_SYSV_ABI sceKernelFtruncate();
int PS4_SYSV_ABI sceKernelFutimes();
int PS4_SYSV_ABI sceKernelGetAllowedSdkVersionOnSystem();
int PS4_SYSV_ABI sceKernelGetAppInfo();
int PS4_SYSV_ABI sceKernelGetAslrStatus();
int PS4_SYSV_ABI sceKernelGetBackupRestoreMode();
int PS4_SYSV_ABI sceKernelGetBackupRestoreModeOfNextBoot();
int PS4_SYSV_ABI sceKernelGetBasicProductShape();
int PS4_SYSV_ABI sceKernelGetBetaUpdateTestForRcmgr();
int PS4_SYSV_ABI sceKernelGetBioUsageAll();
int PS4_SYSV_ABI sceKernelGetBootReqNotifyCount();
int PS4_SYSV_ABI sceKernelGetCallRecord();
int PS4_SYSV_ABI sceKernelGetCompiledSdkVersion();
int PS4_SYSV_ABI sceKernelGetCompiledSdkVersionByPath();
int PS4_SYSV_ABI sceKernelGetCompiledSdkVersionByPid();
int PS4_SYSV_ABI sceKernelGetCpuFrequency();
int PS4_SYSV_ABI sceKernelGetCpumode();
int PS4_SYSV_ABI sceKernelGetCpumodeGame();
int PS4_SYSV_ABI sceKernelGetCpuTemperature();
int PS4_SYSV_ABI sceKernelGetCpuUsage();
int PS4_SYSV_ABI sceKernelGetCpuUsageAll();
int PS4_SYSV_ABI sceKernelGetCpuUsageProc();
int PS4_SYSV_ABI sceKernelGetCpuUsageProc2();
int PS4_SYSV_ABI sceKernelGetCpuUsageThread();
int PS4_SYSV_ABI sceKernelGetCurrentCpu();
int PS4_SYSV_ABI sceKernelGetDataTransferMode();
int PS4_SYSV_ABI sceKernelGetDebugMenuMiniModeForRcmgr();
int PS4_SYSV_ABI sceKernelGetDebugMenuModeForPsmForRcmgr();
int PS4_SYSV_ABI sceKernelGetDebugMenuModeForRcmgr();
int PS4_SYSV_ABI sceKernelGetdents();
int PS4_SYSV_ABI sceKernelGetDirectMemorySize();
int PS4_SYSV_ABI sceKernelGetDirectMemoryType();
int PS4_SYSV_ABI sceKernelGetdirentries();
int PS4_SYSV_ABI sceKernelGetEventData();
int PS4_SYSV_ABI sceKernelGetEventError();
int PS4_SYSV_ABI sceKernelGetEventFflags();
int PS4_SYSV_ABI sceKernelGetEventFilter();
int PS4_SYSV_ABI sceKernelGetEventId();
int PS4_SYSV_ABI sceKernelGetEventUserData();
int PS4_SYSV_ABI sceKernelGetExecutableModuleHandle();
int PS4_SYSV_ABI sceKernelGetExtLibcHandle();
int PS4_SYSV_ABI sceKernelGetFakeFinalizeMenuForRcmgr();
int PS4_SYSV_ABI sceKernelGetFlagedUpdaterForRcmgr();
int PS4_SYSV_ABI sceKernelGetForceUpdateModeForRcmgr();
int PS4_SYSV_ABI sceKernelGetFsSandboxRandomWord();
int PS4_SYSV_ABI sceKernelGetGPI();
int PS4_SYSV_ABI sceKernelGetGPO();
int PS4_SYSV_ABI sceKernelGetHwFeatureInfoForDecid();
int PS4_SYSV_ABI sceKernelGetIdPs();
int PS4_SYSV_ABI sceKernelGetIdTableCurrentCount();
int PS4_SYSV_ABI sceKernelGetIpcPath();
int PS4_SYSV_ABI sceKernelGetLibkernelTextLocation();
int PS4_SYSV_ABI sceKernelGetMainSocId();
int PS4_SYSV_ABI sceKernelGetModuleInfo();
int PS4_SYSV_ABI sceKernelGetModuleInfoForUnwind();
int PS4_SYSV_ABI sceKernelGetModuleInfoFromAddr();
int PS4_SYSV_ABI sceKernelGetModuleInfoInternal();
int PS4_SYSV_ABI sceKernelGetModuleList();
int PS4_SYSV_ABI sceKernelGetModuleListInternal();
int PS4_SYSV_ABI sceKernelGetOpenPsIdForSystem();
int PS4_SYSV_ABI sceKernelGetPageTableStats();
int PS4_SYSV_ABI sceKernelGetPagingStatsOfAllObjects();
int PS4_SYSV_ABI sceKernelGetPagingStatsOfAllThreads();
int PS4_SYSV_ABI sceKernelGetPhysPageSize();
int PS4_SYSV_ABI sceKernelGetProcessName();
int PS4_SYSV_ABI sceKernelGetProcessTime();
int PS4_SYSV_ABI sceKernelGetProcessTimeCounter();
int PS4_SYSV_ABI sceKernelGetProcessTimeCounterFrequency();
int PS4_SYSV_ABI sceKernelGetProcessType();
int PS4_SYSV_ABI sceKernelGetProcParam();
int PS4_SYSV_ABI sceKernelGetProductCode();
int PS4_SYSV_ABI sceKernelGetProductStr();
int PS4_SYSV_ABI sceKernelGetPrtAperture();
int PS4_SYSV_ABI sceKernelGetPsmIntdevModeForRcmgr();
int PS4_SYSV_ABI sceKernelGetPsnAccessTraceLogForRcmgr();
int PS4_SYSV_ABI sceKernelGetQafExpirationTimeNotafterForRcmgr();
int PS4_SYSV_ABI sceKernelGetQafExpirationTimeNotbeforeForRcmgr();
int PS4_SYSV_ABI sceKernelGetQafGenerationForRcmgr();
int PS4_SYSV_ABI sceKernelGetQafNameForRcmgr();
int PS4_SYSV_ABI sceKernelGetRenderingMode();
int PS4_SYSV_ABI sceKernelGetResidentCount();
int PS4_SYSV_ABI sceKernelGetResidentFmemCount();
int PS4_SYSV_ABI sceKernelGetSafemode();
int PS4_SYSV_ABI sceKernelGetSanitizerMallocReplace();
int PS4_SYSV_ABI sceKernelGetSanitizerMallocReplaceExternal();
int PS4_SYSV_ABI sceKernelGetSanitizerNewReplace();
int PS4_SYSV_ABI sceKernelGetSanitizerNewReplaceExternal();
int PS4_SYSV_ABI sceKernelGetSocPowerConsumption();
int PS4_SYSV_ABI sceKernelGetSocSensorTemperature();
int PS4_SYSV_ABI sceKernelGetSpecialIForRcmgr();
int PS4_SYSV_ABI sceKernelGetSubsysId();
int PS4_SYSV_ABI sceKernelGetSystemExVersion();
int PS4_SYSV_ABI sceKernelGetSystemLevelDebuggerModeForRcmgr();
int PS4_SYSV_ABI sceKernelGetSystemSwBeta();
int PS4_SYSV_ABI sceKernelGetSystemSwVersion();
int PS4_SYSV_ABI sceKernelGetThreadName();
int PS4_SYSV_ABI sceKernelGettimeofday();
int PS4_SYSV_ABI sceKernelGettimezone();
int PS4_SYSV_ABI sceKernelGetTraceMemoryStats();
int PS4_SYSV_ABI sceKernelGetTscFrequency();
int PS4_SYSV_ABI sceKernelGetUtokenDataExecutionForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenExpirationTimeNotafterForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenExpirationTimeNotbeforeForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenFakeSharefactoryForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenFlagedUpdaterForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenNpEnvSwitchingForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenSaveDataRepairForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenStoreModeForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenUseSoftwagnerForAcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenUseSoftwagnerForRcmgr();
int PS4_SYSV_ABI sceKernelGetUtokenWeakenedPortRestrictionForRcmgr();
int PS4_SYSV_ABI sceKernelGetVrCaptureSize();
int PS4_SYSV_ABI sceKernelHasNeoMode();
int PS4_SYSV_ABI sceKernelHwHasOpticalOut();
int PS4_SYSV_ABI sceKernelHwHasWlanBt();
int PS4_SYSV_ABI sceKernelIccControlBDPowerState();
int PS4_SYSV_ABI sceKernelIccControlUSBPowerState();
int PS4_SYSV_ABI sceKernelIccGetBDPowerState();
int PS4_SYSV_ABI sceKernelIccGetCountTime();
int PS4_SYSV_ABI sceKernelIccGetCPMode();
int PS4_SYSV_ABI sceKernelIccGetCpuInfoBit();
int PS4_SYSV_ABI sceKernelIccGetErrLog();
int PS4_SYSV_ABI sceKernelIccGetHwInfo();
int PS4_SYSV_ABI sceKernelIccGetPowerNumberOfBootShutdown();
int PS4_SYSV_ABI sceKernelIccGetPowerOperatingTime();
int PS4_SYSV_ABI sceKernelIccGetPowerUpCause();
int PS4_SYSV_ABI sceKernelIccGetSysEventLog();
int PS4_SYSV_ABI sceKernelIccGetThermalAlert();
int PS4_SYSV_ABI sceKernelIccGetUSBPowerState();
int PS4_SYSV_ABI sceKernelIccIndicatorBootDone();
int PS4_SYSV_ABI sceKernelIccIndicatorShutdown();
int PS4_SYSV_ABI sceKernelIccIndicatorStandby();
int PS4_SYSV_ABI sceKernelIccIndicatorStandbyBoot();
int PS4_SYSV_ABI sceKernelIccIndicatorStandbyShutdown();
int PS4_SYSV_ABI sceKernelIccNotifyBootStatus();
int PS4_SYSV_ABI sceKernelIccNvsFlush();
int PS4_SYSV_ABI sceKernelIccReadPowerBootMessage();
int PS4_SYSV_ABI sceKernelIccSetBuzzer();
int PS4_SYSV_ABI sceKernelIccSetCPMode();
int PS4_SYSV_ABI sceKernelIccSetCpuInfoBit();
int PS4_SYSV_ABI sceKernelIccSetDownloadMode();
int PS4_SYSV_ABI sceKernelInstallExceptionHandler();
int PS4_SYSV_ABI sceKernelInternalGetKmemStatistics();
int PS4_SYSV_ABI sceKernelInternalGetMapStatistics();
int PS4_SYSV_ABI sceKernelInternalHeapPrintBacktraceWithModuleInfo();
int PS4_SYSV_ABI sceKernelInternalMapDirectMemory();
int PS4_SYSV_ABI sceKernelInternalMapNamedDirectMemory();
int PS4_SYSV_ABI sceKernelInternalMemoryGetAvailableSize();
int PS4_SYSV_ABI sceKernelInternalMemoryGetModuleSegmentInfo();
int PS4_SYSV_ABI sceKernelInternalResumeDirectMemoryRelease();
int PS4_SYSV_ABI sceKernelInternalSuspendDirectMemoryRelease();
int PS4_SYSV_ABI sceKernelIsAddressSanitizerEnabled();
int PS4_SYSV_ABI sceKernelIsAllowedToSelectDvdRegion();
int PS4_SYSV_ABI sceKernelIsAuthenticNeo();
int PS4_SYSV_ABI sceKernelIsCEX();
int PS4_SYSV_ABI sceKernelIsDebuggerAttached();
int PS4_SYSV_ABI sceKernelIsDevKit();
int PS4_SYSV_ABI sceKernelIsExperimentalBeta();
int PS4_SYSV_ABI sceKernelIsGenuineCEX();
int PS4_SYSV_ABI sceKernelIsGenuineDevKit();
int PS4_SYSV_ABI sceKernelIsGenuineKratosCex();
int PS4_SYSV_ABI sceKernelIsGenuineN();
int PS4_SYSV_ABI sceKernelIsGenuineTestKit();
int PS4_SYSV_ABI sceKernelIsInSandbox();
int PS4_SYSV_ABI sceKernelIsKratos();
int PS4_SYSV_ABI sceKernelIsMainOnStanbyMode();
int PS4_SYSV_ABI sceKernelIsMainOnStandbyMode();
int PS4_SYSV_ABI sceKernelIsNeoMode();
int PS4_SYSV_ABI sceKernelIsStack();
int PS4_SYSV_ABI sceKernelIsTestKit();
int PS4_SYSV_ABI sceKernelJitCreateAliasOfSharedMemory();
int PS4_SYSV_ABI sceKernelJitCreateSharedMemory();
int PS4_SYSV_ABI sceKernelJitGetSharedMemoryInfo();
int PS4_SYSV_ABI sceKernelJitMapSharedMemory();
int PS4_SYSV_ABI sceKernelKernelHeapUsage();
int PS4_SYSV_ABI sceKernelLoadStartModule();
int PS4_SYSV_ABI sceKernelLoadStartModuleForSysmodule();
int PS4_SYSV_ABI sceKernelLseek();
int PS4_SYSV_ABI sceKernelLwfsAllocateBlock();
int PS4_SYSV_ABI sceKernelLwfsLseek();
int PS4_SYSV_ABI sceKernelLwfsSetAttribute();
int PS4_SYSV_ABI sceKernelLwfsTrimBlock();
int PS4_SYSV_ABI sceKernelLwfsWrite();
int PS4_SYSV_ABI sceKernelMapDirectMemory();
int PS4_SYSV_ABI sceKernelMapDirectMemory2();
int PS4_SYSV_ABI sceKernelMapFlexibleMemory();
int PS4_SYSV_ABI sceKernelMapNamedDirectMemory();
int PS4_SYSV_ABI sceKernelMapNamedFlexibleMemory();
int PS4_SYSV_ABI sceKernelMapNamedSystemFlexibleMemory();
int PS4_SYSV_ABI sceKernelMapSanitizerShadowMemory();
int PS4_SYSV_ABI sceKernelMapTraceMemory();
int PS4_SYSV_ABI sceKernelMemoryPoolBatch();
int PS4_SYSV_ABI sceKernelMemoryPoolCommit();
int PS4_SYSV_ABI sceKernelMemoryPoolDecommit();
int PS4_SYSV_ABI sceKernelMemoryPoolExpand();
int PS4_SYSV_ABI sceKernelMemoryPoolGetBlockStats();
int PS4_SYSV_ABI sceKernelMemoryPoolMove();
int PS4_SYSV_ABI sceKernelMemoryPoolReserve();
int PS4_SYSV_ABI sceKernelMkdir();
int PS4_SYSV_ABI sceKernelMlock();
int PS4_SYSV_ABI sceKernelMlockall();
int PS4_SYSV_ABI sceKernelMmap();
int PS4_SYSV_ABI sceKernelMprotect();
int PS4_SYSV_ABI sceKernelMsync();
int PS4_SYSV_ABI sceKernelMtypeprotect();
int PS4_SYSV_ABI sceKernelMunlock();
int PS4_SYSV_ABI sceKernelMunlockall();
int PS4_SYSV_ABI sceKernelMunmap();
int PS4_SYSV_ABI sceKernelNanosleep();
int PS4_SYSV_ABI sceKernelNormalizePath();
int PS4_SYSV_ABI sceKernelNotifyAppStateChanged();
int PS4_SYSV_ABI sceKernelNotifySystemSuspendResumeProgress();
int PS4_SYSV_ABI sceKernelNotifySystemSuspendStart();
int PS4_SYSV_ABI sceKernelOpen();
int PS4_SYSV_ABI sceKernelOpenEport();
int PS4_SYSV_ABI sceKernelOpenEventFlag();
int PS4_SYSV_ABI sceKernelOpenSema();
int PS4_SYSV_ABI sceKernelPollEventFlag();
int PS4_SYSV_ABI sceKernelPollSema();
int PS4_SYSV_ABI sceKernelPread();
int PS4_SYSV_ABI sceKernelPreadv();
int PS4_SYSV_ABI sceKernelPrintBacktraceWithModuleInfo();
int PS4_SYSV_ABI sceKernelProtectDirectMemory();
int PS4_SYSV_ABI sceKernelProtectDirectMemoryForPID();
int PS4_SYSV_ABI sceKernelPwrite();
int PS4_SYSV_ABI sceKernelPwritev();
int PS4_SYSV_ABI sceKernelQueryMemoryProtection();
int PS4_SYSV_ABI sceKernelQueryTraceMemory();
int PS4_SYSV_ABI sceKernelRaiseException();
int PS4_SYSV_ABI sceKernelRandomizedPath();
int PS4_SYSV_ABI sceKernelRdup();
int PS4_SYSV_ABI sceKernelRead();
int PS4_SYSV_ABI sceKernelReadTsc();
int PS4_SYSV_ABI sceKernelReadv();
int PS4_SYSV_ABI sceKernelReboot();
int PS4_SYSV_ABI sceKernelReleaseDirectMemory();
int PS4_SYSV_ABI sceKernelReleaseFlexibleMemory();
int PS4_SYSV_ABI sceKernelReleaseTraceDirectMemory();
int PS4_SYSV_ABI sceKernelRemoveExceptionHandler();
int PS4_SYSV_ABI sceKernelRename();
int PS4_SYSV_ABI sceKernelReportUnpatchedFunctionCall();
int PS4_SYSV_ABI sceKernelReserve2mbPage();
int PS4_SYSV_ABI sceKernelReserveSystemDirectMemory();
int PS4_SYSV_ABI sceKernelReserveVirtualRange();
int PS4_SYSV_ABI sceKernelResumeDirectMemoryRelease();
int PS4_SYSV_ABI sceKernelRmdir();
int PS4_SYSV_ABI sceKernelRtldControl();
int PS4_SYSV_ABI sceKernelSandboxPath();
int PS4_SYSV_ABI sceKernelSendNotificationRequest();
int PS4_SYSV_ABI sceKernelSetAppInfo();
int PS4_SYSV_ABI sceKernelSetBackupRestoreMode();
int PS4_SYSV_ABI sceKernelSetBaseModeClock();
int PS4_SYSV_ABI sceKernelSetBesteffort();
int PS4_SYSV_ABI sceKernelSetBootReqNotify();
int PS4_SYSV_ABI sceKernelSetCallRecord();
int PS4_SYSV_ABI sceKernelSetCompressionAttribute();
int PS4_SYSV_ABI sceKernelSetCpumodeGame();
int PS4_SYSV_ABI sceKernelSetDataTransferMode();
int PS4_SYSV_ABI sceKernelSetEventFlag();
int PS4_SYSV_ABI sceKernelSetFsstParam();
int PS4_SYSV_ABI sceKernelSetGameDirectMemoryLimit();
int PS4_SYSV_ABI sceKernelSetGPI();
int PS4_SYSV_ABI sceKernelSetGPO();
int PS4_SYSV_ABI sceKernelSetGpuCu();
int PS4_SYSV_ABI sceKernelSetMemoryPstate();
int PS4_SYSV_ABI sceKernelSetNeoModeClock();
int PS4_SYSV_ABI sceKernelSetPhysFmemLimit();
int PS4_SYSV_ABI sceKernelSetProcessName();
int PS4_SYSV_ABI sceKernelSetProcessProperty();
int PS4_SYSV_ABI sceKernelSetProcessPropertyString();
int PS4_SYSV_ABI sceKernelSetPrtAperture();
int PS4_SYSV_ABI sceKernelSetSafemode();
int PS4_SYSV_ABI sceKernelSettimeofday();
int PS4_SYSV_ABI sceKernelSetTimezoneInfo();
int PS4_SYSV_ABI sceKernelSetVirtualRangeName();
int PS4_SYSV_ABI sceKernelSetVmContainer();
int PS4_SYSV_ABI sceKernelSignalSema();
int PS4_SYSV_ABI sceKernelSleep();
int PS4_SYSV_ABI sceKernelSlvNotifyError();
int PS4_SYSV_ABI sceKernelStat();
int PS4_SYSV_ABI sceKernelStopUnloadModule();
int PS4_SYSV_ABI sceKernelSuspendDirectMemoryRelease();
int PS4_SYSV_ABI sceKernelSwitchToBaseMode();
int PS4_SYSV_ABI sceKernelSwitchToNeoMode();
int PS4_SYSV_ABI sceKernelSync();
int PS4_SYSV_ABI sceKernelTerminateSysCore();
int PS4_SYSV_ABI sceKernelTitleWorkaroundIsEnabled();
int PS4_SYSV_ABI sceKernelTitleWorkdaroundIsEnabled();
int PS4_SYSV_ABI sceKernelTraceMemoryTypeProtect();
int PS4_SYSV_ABI sceKernelTriggerEport();
int PS4_SYSV_ABI sceKernelTriggerUserEvent();
int PS4_SYSV_ABI sceKernelTruncate();
int PS4_SYSV_ABI sceKernelUnlink();
int PS4_SYSV_ABI sceKernelUsleep();
int PS4_SYSV_ABI sceKernelUtimes();
int PS4_SYSV_ABI sceKernelUuidCreate();
int PS4_SYSV_ABI sceKernelVirtualQuery();
int PS4_SYSV_ABI sceKernelVirtualQueryAll();
int PS4_SYSV_ABI sceKernelWaitEqueue();
int PS4_SYSV_ABI sceKernelWaitEventFlag();
int PS4_SYSV_ABI sceKernelWaitSema();
int PS4_SYSV_ABI sceKernelWrite();
int PS4_SYSV_ABI sceKernelWriteSdkEventLog();
int PS4_SYSV_ABI sceKernelWritev();
int PS4_SYSV_ABI sceKernelYieldCpumode();
int PS4_SYSV_ABI sceLibcMspaceCreateForMonoMutex();
int PS4_SYSV_ABI scePthreadAtfork();
int PS4_SYSV_ABI scePthreadAttrDestroy();
int PS4_SYSV_ABI scePthreadAttrGet();
int PS4_SYSV_ABI scePthreadAttrGetaffinity();
int PS4_SYSV_ABI scePthreadAttrGetdetachstate();
int PS4_SYSV_ABI scePthreadAttrGetguardsize();
int PS4_SYSV_ABI scePthreadAttrGetinheritsched();
int PS4_SYSV_ABI scePthreadAttrGetschedparam();
int PS4_SYSV_ABI scePthreadAttrGetschedpolicy();
int PS4_SYSV_ABI scePthreadAttrGetscope();
int PS4_SYSV_ABI scePthreadAttrGetstack();
int PS4_SYSV_ABI scePthreadAttrGetstackaddr();
int PS4_SYSV_ABI scePthreadAttrGetstacksize();
int PS4_SYSV_ABI scePthreadAttrInit();
int PS4_SYSV_ABI scePthreadAttrSetaffinity();
int PS4_SYSV_ABI scePthreadAttrSetcreatesuspend();
int PS4_SYSV_ABI scePthreadAttrSetdetachstate();
int PS4_SYSV_ABI scePthreadAttrSetguardsize();
int PS4_SYSV_ABI scePthreadAttrSetinheritsched();
int PS4_SYSV_ABI scePthreadAttrSetschedparam();
int PS4_SYSV_ABI scePthreadAttrSetschedpolicy();
int PS4_SYSV_ABI scePthreadAttrSetscope();
int PS4_SYSV_ABI scePthreadAttrSetstack();
int PS4_SYSV_ABI scePthreadAttrSetstackaddr();
int PS4_SYSV_ABI scePthreadAttrSetstacksize();
int PS4_SYSV_ABI scePthreadBarrierattrDestroy();
int PS4_SYSV_ABI scePthreadBarrierattrGetpshared();
int PS4_SYSV_ABI scePthreadBarrierattrInit();
int PS4_SYSV_ABI scePthreadBarrierattrSetpshared();
int PS4_SYSV_ABI scePthreadBarrierDestroy();
int PS4_SYSV_ABI scePthreadBarrierInit();
int PS4_SYSV_ABI scePthreadBarrierWait();
int PS4_SYSV_ABI scePthreadCancel();
int PS4_SYSV_ABI scePthreadCondattrDestroy();
int PS4_SYSV_ABI scePthreadCondattrGetclock();
int PS4_SYSV_ABI scePthreadCondattrGetpshared();
int PS4_SYSV_ABI scePthreadCondattrInit();
int PS4_SYSV_ABI scePthreadCondattrSetclock();
int PS4_SYSV_ABI scePthreadCondattrSetpshared();
int PS4_SYSV_ABI scePthreadCondBroadcast();
int PS4_SYSV_ABI scePthreadCondDestroy();
int PS4_SYSV_ABI scePthreadCondInit();
int PS4_SYSV_ABI scePthreadCondSignal();
int PS4_SYSV_ABI scePthreadCondSignalto();
int PS4_SYSV_ABI scePthreadCondTimedwait();
int PS4_SYSV_ABI scePthreadCondWait();
int PS4_SYSV_ABI scePthreadCreate();
int PS4_SYSV_ABI scePthreadDetach();
int PS4_SYSV_ABI scePthreadEqual();
int PS4_SYSV_ABI scePthreadExit();
int PS4_SYSV_ABI scePthreadGetaffinity();
int PS4_SYSV_ABI scePthreadGetconcurrency();
int PS4_SYSV_ABI scePthreadGetcpuclockid();
int PS4_SYSV_ABI scePthreadGetname();
int PS4_SYSV_ABI scePthreadGetprio();
int PS4_SYSV_ABI scePthreadGetschedparam();
int PS4_SYSV_ABI scePthreadGetspecific();
int PS4_SYSV_ABI scePthreadGetthreadid();
int PS4_SYSV_ABI scePthreadJoin();
int PS4_SYSV_ABI scePthreadKeyCreate();
int PS4_SYSV_ABI scePthreadKeyDelete();
int PS4_SYSV_ABI scePthreadMain();
int PS4_SYSV_ABI scePthreadMulti();
int PS4_SYSV_ABI scePthreadMutexattrDestroy();
int PS4_SYSV_ABI scePthreadMutexattrGetkind();
int PS4_SYSV_ABI scePthreadMutexattrGetprioceiling();
int PS4_SYSV_ABI scePthreadMutexattrGetprotocol();
int PS4_SYSV_ABI scePthreadMutexattrGetpshared();
int PS4_SYSV_ABI scePthreadMutexattrGettype();
int PS4_SYSV_ABI scePthreadMutexattrInit();
int PS4_SYSV_ABI scePthreadMutexattrInitForInternalLibc();
int PS4_SYSV_ABI scePthreadMutexattrSetkind();
int PS4_SYSV_ABI scePthreadMutexattrSetprioceiling();
int PS4_SYSV_ABI scePthreadMutexattrSetprotocol();
int PS4_SYSV_ABI scePthreadMutexattrSetpshared();
int PS4_SYSV_ABI scePthreadMutexattrSettype();
int PS4_SYSV_ABI scePthreadMutexDestroy();
int PS4_SYSV_ABI scePthreadMutexGetprioceiling();
int PS4_SYSV_ABI scePthreadMutexGetspinloops();
int PS4_SYSV_ABI scePthreadMutexGetyieldloops();
int PS4_SYSV_ABI scePthreadMutexInit();
int PS4_SYSV_ABI scePthreadMutexInitForInternalLibc();
int PS4_SYSV_ABI scePthreadMutexIsowned();
int PS4_SYSV_ABI scePthreadMutexLock();
int PS4_SYSV_ABI scePthreadMutexSetprioceiling();
int PS4_SYSV_ABI scePthreadMutexSetspinloops();
int PS4_SYSV_ABI scePthreadMutexSetyieldloops();
int PS4_SYSV_ABI scePthreadMutexTimedlock();
int PS4_SYSV_ABI scePthreadMutexTrylock();
int PS4_SYSV_ABI scePthreadMutexUnlock();
int PS4_SYSV_ABI scePthreadOnce();
int PS4_SYSV_ABI scePthreadRename();
int PS4_SYSV_ABI scePthreadResume();
int PS4_SYSV_ABI scePthreadResumeAll();
int PS4_SYSV_ABI scePthreadRwlockattrDestroy();
int PS4_SYSV_ABI scePthreadRwlockattrGetpshared();
int PS4_SYSV_ABI scePthreadRwlockattrGettype();
int PS4_SYSV_ABI scePthreadRwlockattrInit();
int PS4_SYSV_ABI scePthreadRwlockattrSetpshared();
int PS4_SYSV_ABI scePthreadRwlockattrSettype();
int PS4_SYSV_ABI scePthreadRwlockDestroy();
int PS4_SYSV_ABI scePthreadRwlockInit();
int PS4_SYSV_ABI scePthreadRwlockRdlock();
int PS4_SYSV_ABI scePthreadRwlockTimedrdlock();
int PS4_SYSV_ABI scePthreadRwlockTimedwrlock();
int PS4_SYSV_ABI scePthreadRwlockTryrdlock();
int PS4_SYSV_ABI scePthreadRwlockTrywrlock();
int PS4_SYSV_ABI scePthreadRwlockUnlock();
int PS4_SYSV_ABI scePthreadRwlockWrlock();
int PS4_SYSV_ABI scePthreadSelf();
int PS4_SYSV_ABI scePthreadSemDestroy();
int PS4_SYSV_ABI scePthreadSemGetvalue();
int PS4_SYSV_ABI scePthreadSemInit();
int PS4_SYSV_ABI scePthreadSemPost();
int PS4_SYSV_ABI scePthreadSemTimedwait();
int PS4_SYSV_ABI scePthreadSemTrywait();
int PS4_SYSV_ABI scePthreadSemWait();
int PS4_SYSV_ABI scePthreadSetaffinity();
int PS4_SYSV_ABI scePthreadSetBesteffort();
int PS4_SYSV_ABI scePthreadSetcancelstate();
int PS4_SYSV_ABI scePthreadSetcanceltype();
int PS4_SYSV_ABI scePthreadSetconcurrency();
int PS4_SYSV_ABI scePthreadSetDefaultstacksize();
int PS4_SYSV_ABI scePthreadSetName();
int PS4_SYSV_ABI scePthreadSetprio();
int PS4_SYSV_ABI scePthreadSetschedparam();
int PS4_SYSV_ABI scePthreadSetspecific();
int PS4_SYSV_ABI scePthreadSingle();
int PS4_SYSV_ABI scePthreadSuspend();
int PS4_SYSV_ABI scePthreadSuspendAll();
int PS4_SYSV_ABI scePthreadTestcancel();
int PS4_SYSV_ABI scePthreadTimedjoin();
int PS4_SYSV_ABI scePthreadYield();
int PS4_SYSV_ABI sched_get_priority_max();
int PS4_SYSV_ABI sched_get_priority_min();
int PS4_SYSV_ABI sched_getparam();
int PS4_SYSV_ABI sched_getscheduler();
int PS4_SYSV_ABI sched_rr_get_interval();
int PS4_SYSV_ABI sched_setparam();
int PS4_SYSV_ABI sched_setscheduler();
int PS4_SYSV_ABI sched_yield();
int PS4_SYSV_ABI select();
int PS4_SYSV_ABI sem_close();
int PS4_SYSV_ABI sem_destroy();
int PS4_SYSV_ABI sem_getvalue();
int PS4_SYSV_ABI sem_init();
int PS4_SYSV_ABI sem_open();
int PS4_SYSV_ABI sem_post();
int PS4_SYSV_ABI sem_reltimedwait_np();
int PS4_SYSV_ABI sem_setname();
int PS4_SYSV_ABI sem_timedwait();
int PS4_SYSV_ABI sem_trywait();
int PS4_SYSV_ABI sem_unlink();
int PS4_SYSV_ABI sem_wait();
int PS4_SYSV_ABI send();
int PS4_SYSV_ABI sendfile();
int PS4_SYSV_ABI sendmsg();
int PS4_SYSV_ABI sendto();
int PS4_SYSV_ABI set_phys_fmem_limit();
int PS4_SYSV_ABI setcontext();
int PS4_SYSV_ABI setegid();
int PS4_SYSV_ABI seteuid();
int PS4_SYSV_ABI setgroups();
int PS4_SYSV_ABI setitimer();
int PS4_SYSV_ABI setpriority();
int PS4_SYSV_ABI setregid();
int PS4_SYSV_ABI setreuid();
int PS4_SYSV_ABI setrlimit();
int PS4_SYSV_ABI setsockopt();
int PS4_SYSV_ABI settimeofday();
int PS4_SYSV_ABI setuid();
int PS4_SYSV_ABI shm_open();
int PS4_SYSV_ABI shm_unlink();
int PS4_SYSV_ABI shutdown();
int PS4_SYSV_ABI sigaction();
int PS4_SYSV_ABI sigaddset();
int PS4_SYSV_ABI sigaltstack();
int PS4_SYSV_ABI sigdelset();
int PS4_SYSV_ABI sigemptyset();
int PS4_SYSV_ABI sigfillset();
int PS4_SYSV_ABI sigismember();
int PS4_SYSV_ABI siglongjmp();
int PS4_SYSV_ABI signal();
int PS4_SYSV_ABI sigpending();
int PS4_SYSV_ABI sigprocmask();
int PS4_SYSV_ABI sigqueue();
int PS4_SYSV_ABI sigreturn();
int PS4_SYSV_ABI sigsetjmp();
int PS4_SYSV_ABI sigsuspend();
int PS4_SYSV_ABI sigtimedwait();
int PS4_SYSV_ABI sigwait();
int PS4_SYSV_ABI sigwaitinfo();
int PS4_SYSV_ABI sleep();
int PS4_SYSV_ABI socket();
int PS4_SYSV_ABI socketpair();
int PS4_SYSV_ABI stat();
int PS4_SYSV_ABI swapcontext();
int PS4_SYSV_ABI sync();
int PS4_SYSV_ABI sysarch();
int PS4_SYSV_ABI sysconf();
int PS4_SYSV_ABI sysctl();
int PS4_SYSV_ABI sysctlbyname();
int PS4_SYSV_ABI sysctlnametomib();
int PS4_SYSV_ABI sysKernelGetIntdevModeForRcmgr();
int PS4_SYSV_ABI sysKernelGetLowerLimitSysexVersion();
int PS4_SYSV_ABI sysKernelGetLowerLimitUpdVersion();
int PS4_SYSV_ABI sysKernelGetManufacturingMode();
int PS4_SYSV_ABI sysKernelGetUpdVersion();
int PS4_SYSV_ABI system();
int PS4_SYSV_ABI tcdrain();
int PS4_SYSV_ABI tcflow();
int PS4_SYSV_ABI tcflush();
int PS4_SYSV_ABI tcgetattr();
int PS4_SYSV_ABI tcgetpgrp();
int PS4_SYSV_ABI tcgetsid();
int PS4_SYSV_ABI tcsendbreak();
int PS4_SYSV_ABI tcsetattr();
int PS4_SYSV_ABI tcsetpgrp();
int PS4_SYSV_ABI tcsetsid();
int PS4_SYSV_ABI truncate();
int PS4_SYSV_ABI unlink();
int PS4_SYSV_ABI usleep();
int PS4_SYSV_ABI utimes();
int PS4_SYSV_ABI uuidgen();
int PS4_SYSV_ABI wait();
int PS4_SYSV_ABI wait3();
int PS4_SYSV_ABI waitpid();
int PS4_SYSV_ABI write();
int PS4_SYSV_ABI writev();
int PS4_SYSV_ABI Func_37DE1AD13E05E3E5();
int PS4_SYSV_ABI Func_71A7C3C5AEB8B0EE();
int PS4_SYSV_ABI Func_829822FC6C04D88B();
int PS4_SYSV_ABI Func_866AB0F0694DFAD2();
int PS4_SYSV_ABI Func_8CCB8DA014423D48();
int PS4_SYSV_ABI Func_AAD1CE2ED156ABB6();
int PS4_SYSV_ABI Func_B95F988A5707A80B();
int PS4_SYSV_ABI Func_BDF61AC64C672574();
int PS4_SYSV_ABI Func_BFEA9394D8C5EA41();
int PS4_SYSV_ABI Func_C740D02B44D70E4D();
int PS4_SYSV_ABI Func_D6FDB7C3B4679227();
int PS4_SYSV_ABI Func_DB02A3203D221953();
int PS4_SYSV_ABI Func_DB1838257BDA27A9();
int PS4_SYSV_ABI Func_FCF341DED7E70FC7();
int PS4_SYSV_ABI Func_FEE3EAF3655B44C2();
int PS4_SYSV_ABI sceKernelIsProspero();
int PS4_SYSV_ABI sceKernelGetOpenPsId();
int PS4_SYSV_ABI Func_0A531D1EEBBE4750();
int PS4_SYSV_ABI sceKernelGetModuleInfo2();
int PS4_SYSV_ABI sceKernelGetModuleList2();
int PS4_SYSV_ABI sceKernelIsModuleLoaded();
int PS4_SYSV_ABI sysc_e00();
int PS4_SYSV_ABI sysc_s00();
int PS4_SYSV_ABI sceCoredumpAttachMemoryRegion();
int PS4_SYSV_ABI sceCoredumpAttachMemoryRegionAsUserFile();
int PS4_SYSV_ABI sceCoredumpAttachUserFile();
int PS4_SYSV_ABI sceCoredumpAttachUserMemoryFile();
int PS4_SYSV_ABI sceCoredumpConfigDumpMode();
int PS4_SYSV_ABI sceCoredumpDebugTextOut();
int PS4_SYSV_ABI sceCoredumpGetStopInfoCpu();
int PS4_SYSV_ABI sceCoredumpGetStopInfoGpu();
int PS4_SYSV_ABI sceCoredumpGetThreadContextInfo();
int PS4_SYSV_ABI sceCoredumpInternalGetThreadContextInfo();
int PS4_SYSV_ABI sceCoredumpRegisterCoredumpHandler();
int PS4_SYSV_ABI sceCoredumpSetUserDataType();
int PS4_SYSV_ABI sceCoredumpUnregisterCoredumpHandler();
int PS4_SYSV_ABI sceCoredumpWriteUserData();
int PS4_SYSV_ABI Func_9889095293F9BCAA();
int PS4_SYSV_ABI sceCoredumpDebugForceCoredumpOnAppClose();
int PS4_SYSV_ABI sceCoredumpDebugTriggerCoredump();

void Registerlibkernel(Core::Loader::SymbolsResolver * sym);
}