// SPDX-FileCopyrightText: Copyright 2024 shadPS4 Emulator Project
// SPDX-License-Identifier: GPL-2.0-or-later

#pragma once

#include "library_common.h" 

namespace Libraries::VideoOut{

int PS4_SYSV_ABI sceDbgVideoOutAddOutputModeVr60Privilege();
int PS4_SYSV_ABI sceDbgVideoOutAddProcessAttribute();
int PS4_SYSV_ABI sceDbgVideoOutRemoveProcessAttribute();
int PS4_SYSV_ABI sceVideoOutAddBufferAnisoPrivilege();
int PS4_SYSV_ABI Func_87DE0FA368680D98();
int PS4_SYSV_ABI sceVideoOutAddBuffer();
int PS4_SYSV_ABI sceVideoOutAddBuffer4k2kPrivilege();
int PS4_SYSV_ABI sceVideoOutAddBufferYccPrivilege();
int PS4_SYSV_ABI sceVideoOutAddDisplayPositionEvent();
int PS4_SYSV_ABI sceVideoOutAddDriver();
int PS4_SYSV_ABI sceVideoOutAddFlipEvent();
int PS4_SYSV_ABI sceVideoOutAddPreVblankStartEvent();
int PS4_SYSV_ABI sceVideoOutAddS3dHmdPrivilege();
int PS4_SYSV_ABI sceVideoOutAddSetModeEvent();
int PS4_SYSV_ABI sceVideoOutAddStereoBuffer();
int PS4_SYSV_ABI sceVideoOutAddVblankEvent();
int PS4_SYSV_ABI sceVideoOutAdjustColor_();
int PS4_SYSV_ABI sceVideoOutClose();
int PS4_SYSV_ABI sceVideoOutColorSettingsSetGamma_();
int PS4_SYSV_ABI sceVideoOutConfigureOptionsInitialize_();
int PS4_SYSV_ABI sceVideoOutConfigureOutputMode_();
int PS4_SYSV_ABI sceVideoOutConfigureOutputModeEx_();
int PS4_SYSV_ABI sceVideoOutConfigureOutputModeExSubmitDoneUnsafe_();
int PS4_SYSV_ABI sceVideoOutControlHdcpEncryption();
int PS4_SYSV_ABI sceVideoOutCursorDisable();
int PS4_SYSV_ABI sceVideoOutCursorEnable();
int PS4_SYSV_ABI sceVideoOutCursorIsUpdatePending();
int PS4_SYSV_ABI sceVideoOutCursorSet2xMagnify();
int PS4_SYSV_ABI sceVideoOutCursorSetHotSpot();
int PS4_SYSV_ABI sceVideoOutCursorSetImageAddress();
int PS4_SYSV_ABI sceVideoOutCursorSetPosition();
int PS4_SYSV_ABI sceVideoOutCursorSetPositionStereo();
int PS4_SYSV_ABI sceVideoOutCurveSamplePointsCalc_();
int PS4_SYSV_ABI sceVideoOutDeleteDisplayPositionEvent();
int PS4_SYSV_ABI sceVideoOutDeleteDriver();
int PS4_SYSV_ABI sceVideoOutDeleteFlipEvent();
int PS4_SYSV_ABI sceVideoOutDeletePreVblankStartEvent();
int PS4_SYSV_ABI sceVideoOutDeleteSetModeEvent();
int PS4_SYSV_ABI sceVideoOutDeleteVblankEvent();
int PS4_SYSV_ABI sceVideoOutDriverAddEvent();
int PS4_SYSV_ABI sceVideoOutDriverDecrementBufferLabel();
int PS4_SYSV_ABI sceVideoOutDriverDeleteEvent();
int PS4_SYSV_ABI sceVideoOutDriverGetBufferLabelAddress();
int PS4_SYSV_ABI sceVideoOutDriverGetEopHandle();
int PS4_SYSV_ABI sceVideoOutDriverGetFinishedEopHandle();
int PS4_SYSV_ABI sceVideoOutDriverGetLatestEopHandle();
int PS4_SYSV_ABI sceVideoOutDriverIncrementBufferLabel();
int PS4_SYSV_ABI sceVideoOutDriverResetBufferLabel();
int PS4_SYSV_ABI sceVideoOutDriverTriggerEvent();
int PS4_SYSV_ABI sceVideoOutGetBufferInformation();
int PS4_SYSV_ABI sceVideoOutGetBufferLabelAddress();
int PS4_SYSV_ABI sceVideoOutGetCoredumpOutputMode();
int PS4_SYSV_ABI sceVideoOutGetCurrentOutputMode_();
int PS4_SYSV_ABI sceVideoOutGetDeviceCapabilityInfo_();
int PS4_SYSV_ABI sceVideoOutGetDeviceInfoEx_();
int PS4_SYSV_ABI sceVideoOutGetDeviceInfoExOts_();
int PS4_SYSV_ABI sceVideoOutGetEventCount();
int PS4_SYSV_ABI sceVideoOutGetEventData();
int PS4_SYSV_ABI sceVideoOutGetEventId();
int PS4_SYSV_ABI sceVideoOutGetFlipStatus();
int PS4_SYSV_ABI sceVideoOutGetHdmiKsvList_();
int PS4_SYSV_ABI sceVideoOutGetHdmiMonitorInfo_();
int PS4_SYSV_ABI sceVideoOutGetHdmiMonitorInfoNoMask_();
int PS4_SYSV_ABI sceVideoOutGetPortStatusInfo_();
int PS4_SYSV_ABI sceVideoOutGetPortStatusInfoByBusSpecifier_();
int PS4_SYSV_ABI sceVideoOutGetResolutionStatus();
int PS4_SYSV_ABI sceVideoOutGetStatusForWebcore();
int PS4_SYSV_ABI sceVideoOutGetVblankStatus();
int PS4_SYSV_ABI sceVideoOutGetVideoOutModeByBusSpecifier_();
int PS4_SYSV_ABI sceVideoOutHdmiMonitorInfoIsSupportedHdcpVersion_();
int PS4_SYSV_ABI sceVideoOutHdmiMonitorInfoIsSupportedVideoOutMode_();
int PS4_SYSV_ABI sceVideoOutIsFlipPending();
int PS4_SYSV_ABI sceVideoOutLockBuffer();
int PS4_SYSV_ABI sceVideoOutModeSetAny_();
int PS4_SYSV_ABI sceVideoOutOpen();
int PS4_SYSV_ABI sceVideoOutRazorAddCallback();
int PS4_SYSV_ABI sceVideoOutRazorRecallCallbacks();
int PS4_SYSV_ABI sceVideoOutRazorRemoveCallback();
int PS4_SYSV_ABI sceVideoOutRegisterBufferAttribute();
int PS4_SYSV_ABI sceVideoOutRegisterBuffers();
int PS4_SYSV_ABI sceVideoOutRegisterStereoBuffers();
int PS4_SYSV_ABI sceVideoOutRemoveBuffer();
int PS4_SYSV_ABI sceVideoOutSetBlankAfterResume();
int PS4_SYSV_ABI sceVideoOutSetBufferAttribute();
int PS4_SYSV_ABI sceVideoOutSetDisplayEventPosition();
int PS4_SYSV_ABI sceVideoOutSetFlipRate();
int PS4_SYSV_ABI sceVideoOutSetGamutMetadata_();
int PS4_SYSV_ABI sceVideoOutSetToneMap_();
int PS4_SYSV_ABI sceVideoOutSetWindowModeMargins();
int PS4_SYSV_ABI sceVideoOutSubmitChangeBufferAttribute();
int PS4_SYSV_ABI sceVideoOutSubmitEopFlip();
int PS4_SYSV_ABI sceVideoOutSubmitFlip();
int PS4_SYSV_ABI sceVideoOutSysAddSetModeEvent();
int PS4_SYSV_ABI sceVideoOutSysAddVblankEvent();
int PS4_SYSV_ABI sceVideoOutSysClose();
int PS4_SYSV_ABI sceVideoOutSysConfigureOutputMode_();
int PS4_SYSV_ABI sceVideoOutSysCursorDisable();
int PS4_SYSV_ABI sceVideoOutSysCursorEnable();
int PS4_SYSV_ABI sceVideoOutSysCursorIsUpdatePending();
int PS4_SYSV_ABI sceVideoOutSysCursorObtain();
int PS4_SYSV_ABI sceVideoOutSysCursorRelease();
int PS4_SYSV_ABI sceVideoOutSysCursorSetPosition();
int PS4_SYSV_ABI sceVideoOutSysDeleteVblankEvent();
int PS4_SYSV_ABI sceVideoOutSysGetColorConversionStatus();
int PS4_SYSV_ABI sceVideoOutSysGetCurrentOutputMode_();
int PS4_SYSV_ABI sceVideoOutSysGetDeviceCapabilityInfoByBusSpecifier_();
int PS4_SYSV_ABI sceVideoOutSysGetFlipStatus();
int PS4_SYSV_ABI sceVideoOutSysGetMonitorInfo_();
int PS4_SYSV_ABI sceVideoOutSysGetPortStatusInfo_();
int PS4_SYSV_ABI sceVideoOutSysGetPortStatusInfoByBusSpecifier_();
int PS4_SYSV_ABI sceVideoOutSysGetResolutionStatus();
int PS4_SYSV_ABI sceVideoOutSysGetVblankStatus();
int PS4_SYSV_ABI sceVideoOutSysIsSupportedByMonitorInfo_();
int PS4_SYSV_ABI sceVideoOutSysReadCrc();
int PS4_SYSV_ABI sceVideoOutSysReadCrc64();
int PS4_SYSV_ABI sceVideoOutSysResetAtGpuReset();
int PS4_SYSV_ABI sceVideoOutSysResetZoomBuffers();
int PS4_SYSV_ABI sceVideoOutSysSetBlackLevel();
int PS4_SYSV_ABI sceVideoOutSysSetDcePipeMode();
int PS4_SYSV_ABI sceVideoOutSysSetDimmer();
int PS4_SYSV_ABI sceVideoOutSysSetDisplayParameters();
int PS4_SYSV_ABI sceVideoOutSysSetHdrScopeCallbacks();
int PS4_SYSV_ABI sceVideoOutSysSetInvertedColors();
int PS4_SYSV_ABI sceVideoOutSysSetOutputCsc();
int PS4_SYSV_ABI sceVideoOutSysSetOverscanRatio();
int PS4_SYSV_ABI sceVideoOutSysSetRedirectFlip();
int PS4_SYSV_ABI sceVideoOutSysSetZoomBuffers();
int PS4_SYSV_ABI sceVideoOutSysSubmitSubWindowLayout();
int PS4_SYSV_ABI sceVideoOutSysUpdateDisplayParameter_();
int PS4_SYSV_ABI sceVideoOutSysUpdatePrivilege();
int PS4_SYSV_ABI sceVideoOutSysUpdateRenderingMode();
int PS4_SYSV_ABI sceVideoOutSysUpdateScalerParameters();
int PS4_SYSV_ABI sceVideoOutUnlockBuffer();
int PS4_SYSV_ABI sceVideoOutUnregisterBufferAttribute();
int PS4_SYSV_ABI sceVideoOutUnregisterBuffers();
int PS4_SYSV_ABI sceVideoOutWaitVblank();
int PS4_SYSV_ABI Func_124ED74010241580();
int PS4_SYSV_ABI Func_2438D6A18553BDD9();
int PS4_SYSV_ABI Func_3389533D3C6878DD();
int PS4_SYSV_ABI Func_3F96B7D8EBA56509();
int PS4_SYSV_ABI Func_94C92412FE1A6876();
int PS4_SYSV_ABI Func_A17AE74B11648BE7();
int PS4_SYSV_ABI Func_BD73297BB32EADF7();
int PS4_SYSV_ABI Func_C0A269161093AD7D();
int PS4_SYSV_ABI Func_C192387E6509325C();
int PS4_SYSV_ABI Func_FF9008114F7ED758();
int PS4_SYSV_ABI sceVideoOutAdjustColor2_();
int PS4_SYSV_ABI sceVideoOutGetHdmiRawEdid_();
int PS4_SYSV_ABI sceVideoOutAddBufferHdrPrivilege();
int PS4_SYSV_ABI Func_DF1AD257C5341EC8();

void RegisterlibSceVideoOut(Core::Loader::SymbolsResolver * sym);
}